curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a08b36-69b1-7dc6-96ad-2a5bba24fa7c",
"organization_id": "01a08b36-69b1-7dc6-96ad-2a5cead35db0",
"name": "Test AI Agent",
"timestamp_created": "2026-09-10T12:06:34.161Z",
"timestamp_updated": "2026-09-10T12:06:34.161Z",
"status": 1,
"payload": {
"campaign_id": "01a08b36-69b1-7dc6-96ad-2a595c543a87",
"campaign_name": "Outbound US",
"search_filters": {},
"min_active_leads": 50,
"on_exhaustion": "pause",
"fallback_search_filters": {},
"ai_enrichment": {},
"ai_enrichment_workflow": "custom:0198c2a4-3f1e-7000-8000-000000000000"
},
"type": 6,
"is_auto_created": false,
"created_by": "01a08b36-69b1-7dc6-96ad-2a5d7d740c5a",
"description": "Optional agent description"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get an AI Lead Finder Agent
Retrieve a single AI Lead Finder Agent with its full configuration.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Lead Finder Agent ID
"01a08b36-b257-7e7f-af78-5b78491b8e7a"
Response
The requested AI Lead Finder Agent
An AI Lead Finder Agent
Unique identifier for the AI agent
"01a08b36-69b1-7dc6-96ad-2a5bba24fa7c"
Organization ID
"01a08b36-69b1-7dc6-96ad-2a5cead35db0"
Name of the AI Agent
"Test AI Agent"
Timestamp when the AI agent was created
"2026-09-10T12:06:34.161Z"
Timestamp when the AI agent was updated
"2026-09-10T12:06:34.161Z"
Status of the AI Agent
-1, 0, 1 1
Lead Finder Agent payload
Show child attributes
Show child attributes
Type of the AI Agent
6 6
Whether the AI agent was auto-created
false
User ID who created the AI agent
"01a08b36-69b1-7dc6-96ad-2a5d7d740c5a"
Description of the AI agent
"Optional agent description"